# eric7.EricNetwork.EricNetworkProxyFactory

Module implementing a network proxy factory.

### Global Attributes

None

### Classes

EricNetworkProxyFactory | Class implementing a network proxy factory.
HostnameMatcher | Class implementing a matcher for host names.

### Functions

proxyAuthenticationRequired | Module slot to handle a proxy authentication request.
schemeFromProxyType | Module function to determine the scheme name from the proxy type.

## EricNetworkProxyFactory

Class implementing a network proxy factory.

### Derived from

QNetworkProxyFactory

### Class Attributes

None

### Class Methods

None

### Methods

EricNetworkProxyFactory | Constructor
__setExceptions | Private method to set the host name exceptions.
queryProxy | Public method to determine a proxy for a given query.

### Static Methods

None

#### EricNetworkProxyFactory (Constructor)

EricNetworkProxyFactory()

Constructor

#### EricNetworkProxyFactory.__setExceptions

__setExceptions(exceptions)

Private method to set the host name exceptions.

exceptions (str)
  list of exceptions separated by ','

#### EricNetworkProxyFactory.queryProxy

queryProxy(query)

Public method to determine a proxy for a given query.

query
  reference to the query object (QNetworkProxyQuery)

Return:
  list of proxies in order of preference (list of QNetworkProxy)

Up

## HostnameMatcher

Class implementing a matcher for host names.

### Derived from

None

### Class Attributes

None

### Class Methods

None

### Methods

HostnameMatcher | Constructor
match | Public method to test the given string.
pattern | Public method to get the match pattern.
setPattern | Public method to set the match pattern.

### Static Methods

None

#### HostnameMatcher (Constructor)

HostnameMatcher(pattern)

Constructor

pattern (str)
  pattern to be matched against

#### HostnameMatcher.match

match(host)

Public method to test the given string.

host (str)
  host name to be matched

Return:
  flag indicating a successful match

Return Type:
  bool

#### HostnameMatcher.pattern

pattern()

Public method to get the match pattern.

Return:
  match pattern

Return Type:
  str

#### HostnameMatcher.setPattern

setPattern(pattern)

Public method to set the match pattern.

pattern
  pattern to be matched against

Up

## proxyAuthenticationRequired

proxyAuthenticationRequired(proxy, auth)

Module slot to handle a proxy authentication request.

proxy
  reference to the proxy object (QNetworkProxy)
auth
  reference to the authenticator object (QAuthenticator)

Up

## schemeFromProxyType

schemeFromProxyType(proxyType)

Module function to determine the scheme name from the proxy type.

proxyType
  type of the proxy (QNetworkProxy.ProxyType)

Return:
  scheme (string, one of Http, Https, Ftp)

Up